Bug 226240 - Merge Review: perl-Archive-Zip
Merge Review: perl-Archive-Zip
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 15:21 EST by Nobody's working on this, feel free to take it
Modified: 2011-01-19 04:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-27 23:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steve: fedora‑review+

Attachments (Terms of Use)
spec patch (2.37 KB, patch)
2007-03-20 17:27 EDT, Steven Pritchard
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:21:55 EST
Fedora Merge Review: perl-Archive-Zip

Initial Owner: rnorwood@redhat.com
Comment 1 Steven Pritchard 2007-03-20 17:27:51 EDT
Created attachment 150536 [details]
spec patch

- Update to 1.18.
- Fix find option order.
- Use fixperms macro instead of our own chmod incantation.
- Remove check macro cruft.
- Update build dependencies.
- Package LICENSE.
- BR unzip, zip for better test coverage.
Comment 2 Steven Pritchard 2007-03-20 17:31:01 EDT
I don't see where any of that are blockers.

Comment 3 Steven Pritchard 2007-03-20 17:32:37 EDT
Oh, I forgot to mention that the newer version introduces a build dependency on
File::Which, which is in Extras.
Comment 4 Warren Togami 2007-03-20 18:04:30 EDT
It doesn't appear to be any important bug fixes here.  Could we wait on the
version upgrade until after Fedora 7?  (Moving a package now after the feature
freeze is a bit of a pain.)

1.18 Wed 25 Oct 2006 - Adam Kennedy
  - Changing to a production version for final release
  - No other changes of any kind

1.17_05 Tue 19 Sep 2006 - Adam Kennedy
  - Seperated the classes from the main file into seperate packages.
  - Merged the Zip.pod into the main Zip.pm file.
  - Applied default Perl::Tidy to all of the source files, to improve
    the readability and maintainability of the files.
  - Added license in Makefile.PL
  - Added some additional entries to the realclean files

Could you resubmit with a cleaned up spec for the 1.16 version instead?
Comment 5 Steven Pritchard 2007-03-24 17:02:24 EDT
(In reply to comment #4)
> Could you resubmit with a cleaned up spec for the 1.16 version instead?

I'd rather just see the patch applied whenever it is convenient.  It's all minor
cleanup and changes related to the version upgrade.

The patch can't really be applied until after the merge anyway given the new
dependency on File::Which.
Comment 6 Steven Pritchard 2007-06-27 18:52:21 EDT
It's after the merge...  Ignoring the part about updating to the new version, 
my patch would still apply (and give better test coverage).

And then this bug could be closed too.  :-)
Comment 7 Robin Norwood 2007-06-27 23:33:34 EDT
Done - perl-Archive-Zip-1_20-2_fc8
Comment 8 Stepan Kasal 2008-11-03 11:28:28 EST
Package Change Request
Package Name: perl-Archive-Zip
New Branch: EL-5
Owner: skasal@redhat.com
Comment 9 Stepan Kasal 2008-11-03 12:30:38 EST
oops, I withdraw the request from comment #8, the package is going to appear in RHEL-5. Thanks.
Comment 10 manuel wolfshant 2008-11-07 22:14:24 EST
If/when it will appear in RHEL-5 (that is at least 3 months from now) it should have a newer e-v-r than what EPEL provides and everybody will be happy. Meanwhile we have a bunch of packages in EPEL-5 which cannot be installed due to this package not being available.
Comment 11 Mathieu Bridon 2011-01-19 04:10:42 EST
This package is in EPEL5, but not in EPEL6. Is there any reason for that?

I would like to see this package in EPEL6, and I am willing to help co-maintain it.
Comment 12 Mathieu Bridon 2011-01-19 04:39:53 EST
Nevermind, I just saw it's in the RHEL6 Client repository (I was only looking at the Server one).

Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.